Commit b04ab376 authored by Leonardo Arena's avatar Leonardo Arena
Browse files

main/libvirt: fix subpkg depends

parent 8bce8c56
# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
pkgname=libvirt
pkgver=0.10.2
pkgrel=1
pkgrel=2
pkgdesc="A virtualization API for several hypervisor and container systems"
url="http://libvirt.org/"
arch="all"
......@@ -57,7 +57,7 @@ package() {
daemon() {
cd "$_builddir"
pkgdesc="libvirt daemon package"
depends="libvirt logrotate"
depends="libvirt-client logrotate"
daemon="libvirtd"
replaces="libvirt"
mkdir -p "$subpkgdir"/etc/$pkgname \
......@@ -95,7 +95,7 @@ _mv_driver() {
qemu() {
pkgdesc="QEMU driver for libvirt"
depends="libvirt logrotate"
depends="libvirt-daemon logrotate"
replaces="libvirt"
_mv_driver qemu
mv "$pkgdir"/etc/libvirt/qemu.conf "$subpkgdir"/etc/libvirt/
......@@ -103,21 +103,21 @@ qemu() {
xen() {
pkgdesc="XEN driver for libvirt"
depends="libvirt"
depends="libvirt-daemon"
replaces="libvirt"
_mv_driver xen
}
lxc() {
pkgdesc="lxc driver for libvirt"
depends="libvirt logrotate"
depends="libvirt-daemon logrotate"
replaces="libvirt"
_mv_driver lxc
}
uml() {
pkgdesc="UML driver for libvirt"
depends="libvirt logrotate"
depends="libvirt-daemon logrotate"
replaces="libvirt"
_mv_driver uml
}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment